
Figure - Bug #117928
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【实车】【AUDIO】中控蓝牙通话中、播放副屏腾讯视频->视频倍速播放
2023-05-15 14:52 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-15

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 去除了获取焦点失败时的stopplayer动作。

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、中控蓝牙通话中

2、副屏打开腾讯视频

【预期结果】

2、腾讯视频不可播放或者无声播放

【实际结果】

2、腾讯视频无声但是倍速播放

History

#1 - 2023-05-15 19:36 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

当前分析：

在中控通话时，副屏无法获取到音频焦点，导致了在PlaybackActivityMonitor中触发了stopplayer,

这是会停止当前视频的音频数据，导致了视频没有音频做同步，出现了倍速播放的效果。

37432:05-13 15:33:26.574  1539  2033 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_FAILED"}} ★★★ 焦点获取 failed

37433:05-13 15:33:26.574  1539  2033 D AudioIDCMicroNegotiator: idcm_af:onAudioFocusStateChanged type=AudioFocus_Media, result =

AUDIOFOCUS_REQUEST_FAILED timeout= false

37434:05-13 15:33:26.574  1539  2033 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

37435:05-13 15:33:26.574  1539  1800 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= false time= 45

37436:05-13 15:33:26.574  1539  1800 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM -> stopPlayer: 159 ★★★ 停止当前播放的音频

37437:05-13 15:33:26.574  1539  1800 D AudioService.PlaybackActivityMonitor: idcm_af:stopPlayer apc= AudioPlaybackConfiguration piid:159 deviceId:3

type:android.media.AudioTrack u/pid:10100/15245 state:paused attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800 tags=

bundle=null sessionId:129
37439:05-13 15:33:26.575  1539  1800 W AudioService.PlaybackActivityMonitor: idcm_warn: ====rejected by IDCM: PLAYER_STATE_STARTED

37441:05-13 15:33:26.575  1539  1805 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

#2 - 2023-05-17 11:12 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 去除了获取焦点失败时的stopplayer动作。

HI 永红

该问题已经被117623修复，我们去除了获取焦点失败时的stopplayer动作。

请使用5/17后的版本进行验证，谢谢！

#3 - 2023-05-18 14:50 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

5.18

验证通过

#4 - 2023-05-18 14:50 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

1533.txt 4.68 MB 2023-05-15 CD TEST-方永红
